RedCrawler API
Users V1

Unblock User V1

Unblock a user. Accepts username, profile URL, user ID, or t2_ prefixed ID.

POST /api/v1/profiles/unblock

Unblock a user. Accepts username, profile URL, user ID, or t2_ prefixed ID.

Body parameters

NameTypeRequiredDescription
userstringYesUsername, profile URL, user ID, or t2_ prefixed ID.
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/profiles/unblock" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"user": "Motor_Tip8865", "bearer": "<bearer>", "proxy": "<proxy>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/profiles/unblock", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "user": "Motor_Tip8865",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/profiles/unblock"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "user": "Motor_Tip8865",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "jquery": [
      [
        0,
        1,
        "call",
        [
          "body"
        ]
      ],
      [
        1,
        2,
        "attr",
        "find"
      ],
      [
        2,
        3,
        "call",
        [
          ".status"
        ]
      ],
      [
        3,
        4,
        "attr",
        "hide"
      ],
      [
        4,
        5,
        "call",
        []
      ],
      [
        5,
        6,
        "attr",
        "html"
      ],
      [
        6,
        7,
        "call",
        [
          ""
        ]
      ],
      [
        7,
        8,
        "attr",
        "end"
      ],
      [
        8,
        9,
        "call",
        []
      ]
    ],
    "success": true
  },
  "error": null,
  "timestamp": "2026-04-29T17:57:33.067463+00:00"
}

On this page